# FoundationClasses
TKMath
TColgp

# TColgp_SequenceNodeOfSequenceOfVec Class Reference

`#include <TColgp_SequenceNodeOfSequenceOfVec.hxx>`

Inheritance diagram for TColgp_SequenceNodeOfSequenceOfVec:

[legend]

## Public Member Functions

| TColgp_SequenceNodeOfSequenceOfVec (const gp_Vec &I, const TCollection_SeqNodePtr &n, const TCollection_SeqNodePtr &p)
gp_Vec & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

gp_Vec | myValue

## Constructor & Destructor Documentation

TColgp_SequenceNodeOfSequenceOfVec::TColgp_SequenceNodeOfSequenceOfVec | ( | const gp_Vec & | I,
|  | const TCollection_SeqNodePtr & | n,
|  | const TCollection_SeqNodePtr & | p
| ) |

## Member Function Documentation

Standard_EXPORT const TColgp_SequenceNodeOfSequenceOfVec::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TCollection_SeqNode.

gp_Vec& TColgp_SequenceNodeOfSequenceOfVec::Value | ( |  | ) | const

## Field Documentation

gp_Vec TColgp_SequenceNodeOfSequenceOfVec::myValue `[private]`

The documentation for this class was generated from the following file:

- TColgp_SequenceNodeOfSequenceOfVec.hxx